MONGOC_URI_GET_READ_PREFS_T(3)

NAME
mongoc_uri_get_read_prefs_t - mongoc_uri_get_read_prefs_t()

SYNOPSIS

const mongoc_read_prefs_t *
mongoc_uri_get_read_prefs_t (const mongoc_uri_t *uri);

PARAMETERS

•   uri: A mongoc_uri_t.

DESCRIPTION

Fetches a read preference that is owned by the URI instance. This read preference concern is configured based on URI parameters.

RETURNS

Returns a mongoc_read_prefs_t that should not be modified or freed if uri has read preferences, otherwise NULL.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc